> For the complete documentation index, see [llms.txt](https://docs.api.intratool.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.api.intratool.de/api-reference/layouts.md).

# Layouts

The layout system is responsible for organizing data regarding user defined display options.

Any entity that has "layoutable content" (e.g. [Forms](/api-reference/forms/forms.md)) utilizes the layout system to store and relate this data in a consistent manner.

For the intratool frontend, the information stored and managed by the "layout system" are the source for arranging, styling and sorting content.

A Layout is always attached to a `Layoutable` model and consists of [LayoutRows](/api-reference/layouts/layout-rows.md), [LayoutColumns](/api-reference/layouts/layout-columns.md) and finally the [LayoutColumnLayoutElements](/api-reference/layouts/layout-column-layout-elements.md).

The [LayoutColumnLayoutElements](/api-reference/layouts/layout-column-layout-elements.md) are a polymorphic relation to enable different models to be assigned to [LayoutColumns](/api-reference/layouts/layout-columns.md). In the context of [Forms](/api-reference/forms/forms.md) the enable to assign [FormFields](/api-reference/forms/form-fields.md) to as [LayoutColumn](/api-reference/layouts/layout-columns.md).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.api.intratool.de/api-reference/layouts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
